Subject: RE: [tcpm] syn flooding draft

From: "Caitlin Bestler" <[email-masked]>
Date: Fri, 14 Apr 2006 11:02:52 -0700

Christian Huitema wrote:
>>> Can you cite an example where the passive side would send the first
>>> data and be accepting a large number of connections from unknown
>>> remote peers?
>> 
>> ssh
> 
> SMTP, if implemented according to RFC2821, which states
> (section 4.3.1 Sequencing Overview, page 47):
> 
>    One important reply is the connection greeting.  Normally,
> a receiver
>    will send a 220 "Service ready" reply when the connection is
>    completed.  The sender SHOULD wait for this greeting message
> before    sending any commands. 
> 
> Obviously, implementations of SMTP could decide to override
> the SHOULD and send a HELO/EHLO message anyhow, but that is a
> change in spec...
> 

Good points. The draft should probably recommend use of Syn Caching
over Syn cookies for this type of daemon.

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: Tim Shepard <[email-masked]>
Date: Sat, 15 Apr 2006 11:42:58 -0400

> over Syn cookies for this type of daemon.

How's a TCP implementation supposed to know what type of daemon is
using it?

			-Tim Shepard
			 [email-masked]